Loading...
Searching...
No Matches
iorheo-members.h

Go to the source code of this file.

## Functions

| boolean (istream, verbose) boolean(ostream
verbose | boolean (ostream, execute) boolean(ostream
verbose clean | boolean (istream, transpose) boolean(ostream
verbose clean transpose | boolean (istream, upgrade) boolean(ostream
verbose clean transpose logscale | boolean (ostream, fill) boolean(ostream
verbose clean transpose logscale grid | boolean (ostream, domains) boolean(ostream
verbose clean transpose logscale grid shrink | boolean (ostream, tube) boolean(ostream
verbose clean transpose logscale grid shrink ball | boolean (ostream, full) boolean(ostream
verbose clean transpose logscale grid shrink ball stereo | boolean (ostream, cut) boolean(ostream
verbose clean transpose logscale grid shrink ball stereo iso | boolean (ostream, split) boolean(ostream
verbose clean transpose logscale grid shrink ball stereo iso volume | boolean (ostream, autovscale) boolean(ostream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk | boolean (ostream, velocity) boolean(ostream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation | boolean (ostream, elevation) boolean(istream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload | boolean (ostream, bezieradapt) boolean(ostream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice | boolean (ostream, showlabel) boolean(ostream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin | member (ostream, black_and_white, color) member(ostream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color | member (ostream, color, color) member(istream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format | member (ostream, rheo, format) member(istream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format | member (ostream, peschetola, format) member(istream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format | member (ostream, bamg, format) member(istream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format | member (ostream, grummp, format) member(istream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format | member (ostream, mmg3d, format) member(istream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format | member (ostream, tetgen, format) member(istream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format | member (ostream, gmsh, format) member(ostream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format | member (istream, qmg, format) member(ostream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format | member (istream, vtkdata, format) member(ostream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format | member (istream, vtkpolydata, format) member(ostream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format | member (istream, cemagref, format) member(ostream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format | member (istream, hb, format) member(ostream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format | member (istream, matrix_market, format) member(ostream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format | member (istream, ml, format) member(ostream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format | member (istream, matlab, format) member(ostream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format | member (ostream, sparse_matlab, format) member(istream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format format | member (ostream, vtk, format) member(istream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format format format | member (ostream, geomview, format) member(ostream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format format format format | member (ostream, ps, format) member(ostream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format format format format format | member (ostream, plotmtv, format) member(ostream
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format format format format format format | member (ostream, atom, format) member(ostream

## Variables

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin | gray
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color | rheo
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format | peschetola
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format | bamg
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format | grummp
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format | mmg3d
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format | tetgen
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format | gmsh
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format | gmsh_pos
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format | qmg
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format | vtkdata
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format | vtkpolydata
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format | cemagref
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format | hb
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format | matrix_market
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format | ml
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format | matlab
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format | vtk
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format format | geomview
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format format format | dump
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format format format format | gnuplot
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format format format format format | x3d
verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format format format format format format | paraview

## Function Documentation

## boolean() [1/15]

boolean | ( | istream | ,
|  | verbose | )

This file is part of Rheolef.

Copyright (C) 2000-2009 Pierre Saramito Pierr.nosp@m.e.Sa.nosp@m.ramit.nosp@m.o@im.nosp@m.ag.fr

Rheolef is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Rheolef is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Rheolef; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

## boolean() [2/15]

verbose boolean | ( | ostream | ,
|  | execute | )

## boolean() [3/15]

verbose clean boolean | ( | istream | ,
|  | transpose | )

## boolean() [4/15]

verbose clean transpose boolean | ( | istream | ,
|  | upgrade | )

## boolean() [5/15]

verbose clean transpose logscale boolean | ( | ostream | ,
|  | fill | )

## boolean() [6/15]

verbose clean transpose logscale grid boolean | ( | ostream | ,
|  | domains | )

## boolean() [7/15]

verbose clean transpose logscale grid shrink boolean | ( | ostream | ,
|  | tube | )

## boolean() [8/15]

verbose clean transpose logscale grid shrink ball boolean | ( | ostream | ,
|  | full | )

## boolean() [9/15]

verbose clean transpose logscale grid shrink ball stereo boolean | ( | ostream | ,
|  | cut | )

## boolean() [10/15]

verbose clean transpose logscale grid shrink ball stereo iso boolean | ( | ostream | ,
|  | split | )

## boolean() [11/15]

verbose clean transpose logscale grid shrink ball stereo iso volume boolean | ( | ostream | ,
|  | autovscale | )

## boolean() [12/15]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk boolean | ( | ostream | ,
|  | velocity | )

## boolean() [13/15]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation boolean | ( | ostream | ,
|  | elevation | )

## boolean() [14/15]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload boolean | ( | ostream | ,
|  | bezieradapt | )

## boolean() [15/15]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice boolean | ( | ostream | ,
|  | showlabel | )

## member() [1/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin member | ( | ostream | ,
|  | black_and_white | ,
|  | color | )

## member() [2/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color member | ( | ostream | ,
|  | color | ,
|  | color | )

## member() [3/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format member | ( | ostream | ,
|  | rheo | ,
|  | format | )

## member() [4/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format member | ( | ostream | ,
|  | peschetola | ,
|  | format | )

## member() [5/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format member | ( | ostream | ,
|  | bamg | ,
|  | format | )

## member() [6/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format member | ( | ostream | ,
|  | grummp | ,
|  | format | )

## member() [7/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format member | ( | ostream | ,
|  | mmg3d | ,
|  | format | )

## member() [8/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format member | ( | ostream | ,
|  | tetgen | ,
|  | format | )

## member() [9/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format member | ( | ostream | ,
|  | gmsh | ,
|  | format | )

## member() [10/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format member | ( | istream | ,
|  | qmg | ,
|  | format | )

## member() [11/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format member | ( | istream | ,
|  | vtkdata | ,
|  | format | )

## member() [12/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format member | ( | istream | ,
|  | vtkpolydata | ,
|  | format | )

## member() [13/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format member | ( | istream | ,
|  | cemagref | ,
|  | format | )

## member() [14/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format member | ( | istream | ,
|  | hb | ,
|  | format | )

## member() [15/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format member | ( | istream | ,
|  | matrix_market | ,
|  | format | )

## member() [16/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format member | ( | istream | ,
|  | ml | ,
|  | format | )

## member() [17/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format member | ( | istream | ,
|  | matlab | ,
|  | format | )

## member() [18/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format member | ( | ostream | ,
|  | sparse_matlab | ,
|  | format | )

## member() [19/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format format member | ( | ostream | ,
|  | vtk | ,
|  | format | )

## member() [20/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format format format member | ( | ostream | ,
|  | geomview | ,
|  | format | )

## member() [21/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format format format format member | ( | ostream | ,
|  | ps | ,
|  | format | )

## member() [22/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format format format format format member | ( | ostream | ,
|  | plotmtv | ,
|  | format | )

## member() [23/23]

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format format format format format format member | ( | ostream | ,
|  | atom | ,
|  | format | )

## Variable Documentation

## gray

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin gray

Definition at line 62 of file iorheo-members.h.

## rheo

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color rheo

Examples
  zalesak_dg_adapt.cc.

Definition at line 65 of file iorheo-members.h.

## peschetola

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format peschetola

Definition at line 68 of file iorheo-members.h.

## bamg

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format bamg

Definition at line 71 of file iorheo-members.h.

## grummp

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format grummp

Definition at line 74 of file iorheo-members.h.

## mmg3d

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format mmg3d

Definition at line 77 of file iorheo-members.h.

## tetgen

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format tetgen

Definition at line 80 of file iorheo-members.h.

## gmsh

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format gmsh

Definition at line 83 of file iorheo-members.h.

## gmsh_pos

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format gmsh_pos

Definition at line 85 of file iorheo-members.h.

## qmg

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format qmg

Definition at line 88 of file iorheo-members.h.

## vtkdata

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format vtkdata

Definition at line 91 of file iorheo-members.h.

## vtkpolydata

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format vtkpolydata

Definition at line 94 of file iorheo-members.h.

## cemagref

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format cemagref

Definition at line 97 of file iorheo-members.h.

## hb

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format hb

Definition at line 100 of file iorheo-members.h.

## matrix_market

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format matrix_market

Definition at line 103 of file iorheo-members.h.

## ml

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format ml

Definition at line 106 of file iorheo-members.h.

## matlab

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format matlab

Definition at line 109 of file iorheo-members.h.

## vtk

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format vtk

Examples
  zalesak_dg_adapt.cc.

Definition at line 113 of file iorheo-members.h.

## geomview

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format format geomview

Definition at line 116 of file iorheo-members.h.

## dump

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format format format dump

Examples
  convect_hdg_error.cc, cosinusprod_error_dg.cc, elasticity_taylor_error_dg.cc, navier_stokes_taylor_error_dg.cc, sinusprod_error_dg.cc, stokes_taylor_error_dg.cc, and transport_tensor_error_dg.cc.

Definition at line 119 of file iorheo-members.h.

## gnuplot

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format format format format gnuplot

Definition at line 121 of file iorheo-members.h.

## x3d

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format format format format format x3d

Definition at line 123 of file iorheo-members.h.

## paraview

verbose clean transpose logscale grid shrink ball stereo iso volume skipvtk deformation fastfieldload lattice reader_on_stdin color format format format format format format format format format format format format format format format format format format format format format paraview

Definition at line 125 of file iorheo-members.h.